/**
 * 设计器API请求接口
 * @Author: wangxiang4
 * @Since: 2023/9/20
 */

import request from '@/utils/request'

// 创建模型
export function addModel (data) {
  return request({
    url: '/workflow_proxy/app/rest/models',
    method: 'post',
    data: data
  })
}

// 编辑模型
export function editModel (modelId, data) {
  return request({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded; charset=utf-8'
    },
    url: '/workflow_proxy/workflow/model/saveModel/' + modelId,
    method: 'post',
    data: data
  })
}

// 部署模型
export function deployModel (query) {
  return request({
    url: '/workflow_proxy/workflow/model/deploy',
    method: 'post',
    params: query
  })
}

// 活动扩展属性保存
export function activityExtensionPropertySave (data) {
  return request({
    url: '/workflow_proxy/workflow/extension/activityExtensionProperty/save',
    method: 'post',
    data: data
  })
}

// 活动扩展属性数据保存
export function activityExtensionDataSave (data) {
  return request({
    url: '/workflow_proxy/workflow/extension/activityExtensionData/save',
    method: 'post',
    data: data
  })
}
