/**
 * 流程设计面板API请求接口
 * @Author: wangxiang4
 * @Since: 2023/9/20
 */

import request from '@/utils/request'

// 查询角色列表
export function listRole (query) {
  return request({
    url: '/system_proxy/system/role/list',
    method: 'get',
    params: query
  })
}

// 查询部门下拉树结构
export function deptTree () {
  return request({
    url: '/system_proxy/system/dept/deptTree',
    method: 'get'
  })
}

// 查询用户列表
export function listUser (query) {
  return request({
    url: '/system_proxy/system/user/list',
    method: 'get',
    params: query
  })
}

// 查询部门详细
export function getDept (deptId) {
  return request({
    url: '/system_proxy/system/dept/' + deptId,
    method: 'get'
  })
}

// 查询表单管理列表
export function listForm (query) {
  return request({
    url: '/workflow_proxy/workflow/extension/formDefinition/list',
    method: 'get',
    params: query
  })
}

// 查询常用按钮列表
export function listButton (query) {
  return request({
    url: '/workflow_proxy/workflow/extension/button/list',
    method: 'get',
    params: query
  })
}

// 查询多个用户详细
export function getUserByIds (ids) {
  return request({
    url: '/system_proxy/system/user/getByIds/' + ids,
    method: 'get',
    params: {

    }
  })
}

// 查询多个角色详细
export function getRoleByIds (ids) {
  return request({
    url: '/system_proxy/system/role/getByIds/' + ids,
    method: 'get'
  })
}

// 查询流程表达式列表
export function listCondition (query) {
  return request({
    url: '/workflow_proxy/workflow/extension/condition/list',
    method: 'get',
    params: query
  })
}

// 查询监听器列表
export function listListener (query) {
  return request({
    url: '/workflow_proxy/workflow/extension/listener/list',
    method: 'get',
    params: query
  })
}
