/**
 * 全局注册组件
 * @Author: wangxiang4
 * @Since: 2023/9/20
 */

import flowableChart from './Modeler/flowable-chart'
import flowableDesigner from './Modeler/flowable-designer'
import flowablePreview from './Modeler/flowable-preview'
import GlobalConfig from '@/common/config/global'
// 导入entfrm-bpmn样式包
import 'entfrm-bpmn/dist/assets/diagram-js.css'
import 'entfrm-bpmn/dist/assets/bpmn-font/css/bpmn.css'
import 'entfrm-bpmn/dist/assets/bpmn-font/css/bpmn-codes.css'
import 'entfrm-bpmn/dist/assets/bpmn-font/css/bpmn-embedded.css'
import '@/assets/iconfont/iconfont.css'
import '@/assets/styles/flowable-bpmn.scss'

const components = [
  flowableChart,
  flowableDesigner,
  flowablePreview
]

export default {
  install (Vue, opts = {}) {
    Object.assign(GlobalConfig, opts)
    components.forEach(component => Vue.component(component.name, component))
  }
}
