import { defineStore } from 'pinia'
import { store } from '@/store'
/** 目前不考虑可以切换多个主微应用（只适配kicc） */
export const useMicroAppStore = defineStore({
  id: 'micro-app',
  state: () => ({
    // main to sub data
    mainData: {},
    // main to sub state
    mainState: {}
  }),
  getters: {
    getMainData() {
      return this.mainData
    },
    getMainState() {
      return this.mainState
    },
  },
  actions: {
    setMainData(data) {
      this.mainData = data || {}
    },
    setMainState(data) {
      this.mainState = { ...this.mainState, ...data }
    }
  }
})

// 需要在设置之外使用(非vue组件场景下使用)
export function useMicroAppStoreWithOut() {
  return useMicroAppStore(store)
}
