import random from './random'

/** 替换多个模板字符串 */
export function templateFormat (template, format) {
  if (Object.keys(format).length === 0) {
    return template
  }
  return template.replace(/{([^}]+)}/g, function (_, key) {
    return format[key] || '{' + key + '}'
  })
}

/** 生成随机8位ID */
export function randomId8 () {
  return random(8)
}

/** 获取对象类型 */
export function getObjType (obj) {
  const toString = Object.prototype.toString
  const map = {
    '[object Boolean]': 'boolean',
    '[object Number]': 'number',
    '[object String]': 'string',
    '[object Function]': 'function',
    '[object Array]': 'array',
    '[object Date]': 'date',
    '[object RegExp]': 'regExp',
    '[object Undefined]': 'undefined',
    '[object Null]': 'null',
    '[object Object]': 'object',
    '[object Promise]': 'promise'
  }
  if (obj instanceof Element) {
    return 'element'
  }
  return map[toString.call(obj)]
}

/** 判断是否为空 */
export function validateNull (val) {
  if (val && parseInt(val) === 0) return false
  if (val instanceof Date || typeof val === 'boolean' || typeof val === 'number') return false
  if (val instanceof Array) {
    if (val.length === 0) return true
  } else if (val instanceof Object) {
    for (const o in val) return false
    return true
  } else {
    return val === 'null' ||
      val == null ||
      val === 'undefined' ||
      val === undefined ||
      val === ''

  }
  return false
}

/** 检查是否为url */
export const checkUrl = (url) => {
  const reg = /http(s)?:\/\/([\w-.]+)+(:[0-9]+)?.*$/
  return reg.test(url)
}
